# std::philox_engine<UIntType,w,n,r,consts>::max

From cppreference.com
< cpp‎ | numeric‎ | random‎ | philox engine

static constexpr result_type max(); |  | (since C++26)

Returns the maximum value potentially generated by the random-number engine.

### Return value

\(\scriptsize 2^w-1 \)2w
-1

### Complexity

Constant.

### See also

min [static] | gets the smallest possible value in the output range (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/philox_engine/max&oldid=175446"